Author Topic: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)  (Read 119430 times)

0 Members and 2 Guests are viewing this topic.

Offline wesp5

  • 29
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
@wesp5: Make sure that 7z.exe isn't still running.

Too late, I already installed 0.12.4 from the seperate installer. And I'm pretty sure 7z.exe was not running unless Knossos starts it and doesn't stop it while it is updating itself! I'm using WinRAR all the time...

 
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Which Windows version are you on?

Win 8.1, using Knossos 0.12.4

Got fed up with it always crashing, even after multiple re-installs, registry cleans, etc, and upgraded to win 10 home edition... Problem solved.

 

Offline Crane

  • 21
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
How do I get rid of all trace of Knossos?

I installed it, found it bloated and confusing and couldn't work out how to make it load multiple mods simultaneously, then uninstalled it, and now I can't manage to make FS2 load any mods at all because it wants to reference the new AppData folder but YAL doesn't write to there and even copying the command line .cfg over into appdata doesn't make it read.
I've tried completely uninstalling FS2 and reinstalling everything and I absolutely can't manage to make the game even accept things like the ****ing 3D radar flag.

 

Offline m!m

  • 211
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Use a nightly build. That issue is fixed there.

 

Offline ngld

  • Administrator
  • 29
  • Knossos dev
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
@DeadNova: Interesting... I have no idea why Knossos would crash on 8.1 but not on 10. I'll try to investigate when I have more time. Though it probably was something specific to your computer (since this is the first time I've heard of this kind of problem). Oh, and Knossos doesn't even use the registry so I have no idea how "cleaning" it would help...

@Crane: If you'd actually read the very first post in this thread, you'd know the answer. (I've even written "VERY IMPORTANT" in front of that part...)
Also, I'm wondering; Why do you think Knossos is bloated and confusing? Is there anything we could do to make the UI clearer?
You can't load more than one mod at a time since that's the way FSO is designed. Basically, each mod is a mission/campaign pack and you choose which one you want to play.

 

Offline Crane

  • 21
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Oh, nightly build of FSO. I thought that meant a nightly build of Knossos. Thanks, that does fix it.

I found the UI unpleasant because there was no way I could see to view a page that was just "installed mods I could activate" instead of "all the mods ever".
I couldn't work out how to make it activate any mods that I created, because they didn't show in whatever database you were pulling from.
I also didn't want to have to work out how your .json files differed from the old style .ini files.

In general, I found the whole thing took up more visual space than it needed. I didn't even get as far as trying to find whatever screen would have let me toggle things like 3D warp effects and missile lighting.

Oh, also:
"You can't load more than one mod at a time since that's the way FSO is designed. Basically, each mod is a mission/campaign pack and you choose which one you want to play."

That's just not true. You can append as many mods as you like to the command line with the -mod parameter, and not every mod is a campaign pack. The MediaVPs for one!
« Last Edit: September 09, 2018, 12:38:42 pm by Crane »

 
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
and now something new  :blah:, getting a little frustrated with Knossos..

See attachment.

[attachment stolen by Russian hackers]

 

Offline niffiwan

  • 211
  • Eluder Class
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
and now something new  :blah:, getting a little frustrated with Knossos..

That error is from FSO - which mod are you trying to run?
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Retail FS2 and tried running MVP 3.7.2, 3.8.0 and 3.8.1. Same error.

But also found the solution. I have to install Freespace 2 using Knossos. If this is something known..I'm just bad at following instructions :)

 

Offline jr2

  • The Mail Man
  • 212
  • It's prounounced jayartoo 0x6A7232
    • Steam
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Oh, nightly build of FSO. I thought that meant a nightly build of Knossos. Thanks, that does fix it.

I found the UI unpleasant because there was no way I could see to view a page that was just "installed mods I could activate" instead of "all the mods ever".
I couldn't work out how to make it activate any mods that I created, because they didn't show in whatever database you were pulling from.
I also didn't want to have to work out how your .json files differed from the old style .ini files.

In general, I found the whole thing took up more visual space than it needed. I didn't even get as far as trying to find whatever screen would have let me toggle things like 3D warp effects and missile lighting.

Oh, also:
"You can't load more than one mod at a time since that's the way FSO is designed. Basically, each mod is a mission/campaign pack and you choose which one you want to play."

That's just not true. You can append as many mods as you like to the command line with the -mod parameter, and not every mod is a campaign pack. The MediaVPs for one!

You are talking about dependency tress (mods of mods).  Knossos handles those appropriately (if you load a mod that requires MediaVPs, that will be enabled, and if you try to install a mod that requires, say, FSPort, it will download FSPort for you, and enable it when you play that mod).

As far as the 3D warp options, etc, I'm not sure, but I think those are configured on a per-mod basis, but they're working on global overrides?  I could be wrong though.  Check through the settings.

I'm assuming uninstalling Knossos will remove most of it, and there's a settings somewhere in the users's AppData (Local and Roaming, I believe).

 

Offline Mongoose

  • Rikki-Tikki-Tavi
  • Global Moderator
  • 212
  • This brain for rent.
    • Minecraft
    • Steam
    • Something
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
I found the UI unpleasant because there was no way I could see to view a page that was just "installed mods I could activate" instead of "all the mods ever".

That would be the Home tab.  Once you install a mod listed on the Explore tab, it will be visible under Home.

Quote
I couldn't work out how to make it activate any mods that I created, because they didn't show in whatever database you were pulling from.
I also didn't want to have to work out how your .json files differed from the old style .ini files.

The Dev tab enables you to create your own mods and define their dependencies. You can also optionally upload them to Nebula so that other users can download them. You shouldn't need to muck about with creating .json files at all; Knossos handles that automatically when you feed it the correct dependencies for your mod. I mean you could make one manually if you really wanted to, but it's not necessary.

Quote
In general, I found the whole thing took up more visual space than it needed. I didn't even get as far as trying to find whatever screen would have let me toggle things like 3D warp effects and missile lighting.

The gear icon in the upper-right opens the settings menu, where you can set global flags that apply to all mods. Each mod can ship with its own recommended flags, which you can view/edit from its icon's drop-down menu.

Quote
Oh, also:
"You can't load more than one mod at a time since that's the way FSO is designed. Basically, each mod is a mission/campaign pack and you choose which one you want to play."

That's just not true. You can append as many mods as you like to the command line with the -mod parameter, and not every mod is a campaign pack. The MediaVPs for one!

This is true, though in those cases the secondary mods are really serving as extensions of the primary mod's data set. This is another place where Knossos shines: if you try to download a certain mod that relies on dependencies you don't have yet, Knossos will automatically download those too.
« Last Edit: September 09, 2018, 06:28:41 pm by Mongoose »

 
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Keep getting a 0xc000007b error whenever I try to launch anything or even run a debug.  Is there something I'm missing?

 

Offline ngld

  • Administrator
  • 29
  • Knossos dev
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Can you go to your Home tab, click the details button for FSO and tell me which version you have installed? Should be in the top left corner. Also, please click on Options > Verify file integrity and tell me what the result was. Did you modify (or delete) any of FSO's DLLs?

EDIT: @Crane: Yes, you can tell FSO to load multiple mods but you're only supposed to list the main mod you want to play and its dependencies. If you try to enable (for example) both BP and JAD, you'll get a bunch of errors since they're not supposed to be loaded at once.
The MediaVPs also contain fixes for retail missions IIRC so technically they're also a mission pack. If that's not the case, then they're the only exception (aside from stuff like the Cockpit stuff though I don't see that as a traditional mod, rather an addon).
« Last Edit: September 09, 2018, 06:33:48 pm by ngld »

 

Offline Bobun

  • 24
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Hello guys,
I want to report 2 big issues (tried to solve it by my own but as i've been unsuccessful till now, so i seek your lights).

  • 1st problem: updating from Knossos-0.8.3 to Knossos-0.12.3

I was on version 0.8.3 and everything was working fine. But each time i try to launch a higher version of Knossos like 0.9.1; 0.10.1 or 0.12.3 i got this error message (attached files).

What is odd, is that there are no error message about my drivers or about opengl with KnossosLauncher 0.8.3, but have the same error message with Knossos higher versions (0.9.1; 0.10.1) and 0.12.3

Trying to solve the issue, i did that:
Checked my drivers but all were already updated.
Checked my opengl version on my system and it is compatible till opengl 4.3 (i ran a test from OpenGl viewer)
Read the topic and followed (or tried to follow) the advices given by jr2 and ngld (about DLLs that must be installed with fs2_open_..... .exe and about Reshade shaders)

As the error message said " [...] or, if this is not possible, make sure the ANGLE Open GL ES 2.0 emulation libraries (libEG.dll, libGLESv2.dll and d3dcompiler_*.dll) are available in the application executable's directory or in a location listed in PATH"
I've installed "Mali_OpenGL_ES_Emulator-v3.0.2.g694a9-Windows-64bit.exe" on my computer and copied libEG.dll, libGLESv2.dll from installed folder into my FSO folders located in FreeSpaceOpen\bin\FSO-3.8.0-3\x64_avx and FreeSpaceOpen\bin\FSO-3.8.1-20180908\windows\x64 
I've also copied D3DCompiler_47.dll into my FSO folders located in FreeSpaceOpen\bin\FSO-3.8.0-3\x64_avx and FreeSpaceOpen\bin\FSO-3.8.1-20180908\windows\x64
I've run ReShade_Setup_3.4.1.exe with each of my FSO built (FSO 3.8.0.3 and FSO-3.8.1-20180908 for having the new opengl32.dll)
And it's still not working.

So i went back to Knossos 0.8.3

  • Now the 2nd issue: with the new MediaVPS 3.8.1

From Knossos 0.8.3, i've recently updated my MediaVPS to 3.8.1. I can launch all mods that i want but i'm unable to see anything like ships, vessels, basestations.... I went to the Tech room and i cant see anything, it's black with only lights (i took a screenshot of a GTC Fenris in Tech room to give you an example).

It's very odd because when i play with mods using MediaVPS 3.7.2 or lower, i can see everything (no problem at all) but when i choose mods using MediaVPS to 3.8.1, i can't see a dam thing.
Therefore, i don't think it's a graphcard issue or opengl issue so what can i do?

Thanks in advance for your advices guys.

[attachment stolen by Russian hackers]
« Last Edit: September 09, 2018, 07:19:10 pm by Bobun »

 

Offline ngld

  • Administrator
  • 29
  • Knossos dev
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
First of all, remove the files you added to the FSO folders. The error message is coming from Qt (a library Knossos uses), not from FSO. Thus you're supposed to copy them into Knossos' folder, not FSO's. I think those files were bundled with past Knossos versions. Not sure why they aren't anymore, I think something changed with regards to Qt or PyQt5. Let me know if moving the DLLs into Knossos' folder fixes the problem for you.

 

Offline Bobun

  • 24
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
"Thus you're supposed to copy them into Knossos' folder, not FSO's."
Yes, i though of that too and did it before posting on the forum but still didn't work.

First of all, remove the files you added to the FSO folders. The error message is coming from Qt (a library Knossos uses), not from FSO. Thus you're supposed to copy them into Knossos' folder, not FSO's. I think those files were bundled with past Knossos versions. Not sure why they aren't anymore, I think something changed with regards to Qt or PyQt5. Let me know if moving the DLLs into Knossos' folder fixes the problem for you.

Ok so after reading your answer, i did that:
Deleted both FSO-3.8.0-3 and FSO-3.8.1-20180908 folders
Opened Knossos 0.8.3 and download a new FSO-3.8.0-3 and FSO-3.8.1-20180908 version
Applied ReShade_Setup_3.4.1 to both FSO-3.8.0-3 (fs2_open_3_8_0_x64_AVX.exe) and FSO-3.8.1-20180908 (fs2_open_3_8_1_20180908_bc03442_x64_SSE2.exe) folders

Uninstalled Knossos 0.8.3
Installed Knossos 0.12.3 (didn't launch it yet after installation, the error message would appeared)
Copied D3DCompiler_47.dll, libEGL.dll and libGLESv2.dll from Mali OpenGL ES Emulator 3.0.2.g694a9 folder to Knossos folder
Launched Knossos 0.12.3 and i still have the same error message.


 

Offline m!m

  • 211
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Since FSO is also having trouble with displaying ship models it is possible that your OpenGL drivers are somehow not working correctly. What GPU are you using?

 

Offline Bobun

  • 24
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
Since FSO is also having trouble with displaying ship models it is possible that your OpenGL drivers are somehow not working correctly. What GPU are you using?

In fact i don't think so because like i said before why everything is working fine (no openGl error message and i can see ships) when i use MediaVPS 3.7.2 and lower while each time i try to use the new MediaVPS 3.8.1 i can't see anything.
I don't see any logics when in one case it works and on the case it doesn't.

My GPU:
AMD Radeon HD 7400M Series
Intel(R) HD Graphics 3000

 

Offline m!m

  • 211
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
The 3.7.2 MediaVPs may be using less graphics features than the 3.8 MediaVPs so that might explain the difference. With your GPU you should be able to run FSO without problems so that is not the cause of your problems. Have you tried completely removing and reinstalling your graphics drivers? Maybe something went wrong when they got updated the last time.

 

Offline Bobun

  • 24
Re: PUBLIC BETA: Knossos 0.12.4 (combined launcher/installer)
I'm sure it's a dll problem.

I used to have a similar issue (can't see ships in Tech room) when one day (that was years ago) i tried a mod with a lower version of mediavps. I was able to solve this problem in adding a missing dll to one of my folder. But it was long time ago and a kernel issue at that time, so nothing to do with this current issue.

I don't know if it can help you guys but this is my actual Knossos 0.12.3 folder. I though maybe there is something missing or something that should not be here.

[attachment stolen by Russian hackers]